Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Profile::Header Class Reference

`#include <Protocol.h>`

List of all members.

## Public Member Functions
| Header (u16 id, u16 size)
| Header (istream &is)
u16 | id () const
u16 | size () const
## Protected Member Functions
void | size (u16 s)
## Private Attributes
u16 | id_
u16 | size_
## Friends
struct | Profile

## Constructor & Destructor Documentation

ACE_RMCast::Profile::Header::Header | ( | u16 | id,
|  | u16 | size
| ) | `[inline]`

ACE_RMCast::Profile::Header::Header | ( | istream & | is | ) | `[inline]`

## Member Function Documentation

u16 ACE_RMCast::Profile::Header::id | ( |  | ) | const`[inline]`

void ACE_RMCast::Profile::Header::size | ( | u16 | s | ) | `[inline, protected]`

u16 ACE_RMCast::Profile::Header::size | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct Profile`[friend]`

## Member Data Documentation

u16 ACE_RMCast::Profile::Header::id_`[private]`

u16 ACE_RMCast::Profile::Header::size_`[private]`

The documentation for this class was generated from the following file:

- Protocol.h